Subject: Re: SUAv8: ASP Identifier

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 22 Oct 2001 13:31:35 -0500

Gery,

You are welcome to propose text.

--brian

Verwimp Gery wrote:                                       (Mon, 22 Oct 2001 16:36:13)
> Brian,
> 
> I'm not sure if I can follow you here : do you suggest (1) as "definition of
> uniqueness" for the ASP identifier ? I.e. unique across all ASPs connecting
> to the SG ?
> 
> Apart from this, I find the documentation in the M3UA draft still very
> insufficient. You have a few lines in 3.5.1 :
> 
> "The optional ASP Identifier parameter contains a unique value that is
> locally significant among the ASPs that support an AS. The SGP should save
> the ASP Identifier to be used, if necessary, with the Notify message (see
> section 3.8.2)."
> 
> And in section 3.8.2 one finds another few cryptic lines :
> 
> "The format and description of the optional ASP Identifier, ... is the same
> as for the ASP Active message." Wrong message and wrong reference (3.5.1
> instead of 3.5.5).
> 
> No mention of it's use in 4.3.4.6 Notify Procedures.
> 
> So unless I'm looking at the wrong M3UA draft 09 version ... And in SUA v8,
> there's another definition (no mention of AS, just dynamic addressing) and
> it's used in both the ASP UP and ASP UP ACK message for some reason.
> 
> =============End of draft-bashing============
> 
> In short, I think Klaus has some very valid concerns and we should add (and
> keep it identical in both M3UA and SUA) :
> 
> - a clear definition of ASP Identifier (scope of uniqueness ?)
> - some explanatory text of it's usage in the resp. management messages (ASP
> UP, ASP UP ACK, Notify)
> 
> Note: in my opinion, in the IPSP case, the ASP UP ACK contains the
> acknowledging IPSP's identity, not the one reflected from the ASP
> UP-originating IPSP.
> 
> - when does the SG refuse an ASP UP ? This depends on the definition/use of
> ASP ID at the moment. I can imagine a few :
> 
> in (1), the SG could check the IP addresses used to know it's the same ASP
> (allowed-refused, depending on policy), or another one picking the same ASP
> ID (refused).
> 
> in (2), if the scope is only AS, it's not clear what to do. Take approach
> (1) ? Or wait until registration/activation time and refuse the REG REQ or
> ASPAC messages ?
> 
> - what happens in a mixed (ASPs using Identifier, others who don't)
> environment ?
> 
> 
> At least some agreements must be made to have some hope of interoperability
> ...
> 
> ____________________________
> 
> Gery Verwimp
> > SIEMENS ATEA
> > ICN D CS D5
> > 
> > Tel. : +32 14 25 3424
> Fax: +32 14 25 3212
> mailto:[email-masked]
> ____________________________________
> 
> 
> -----Original Message-----
> From: Brian F. G. Bidulock [mailto:[email-masked]]
> Sent: vrijdag 19 oktober 2001 21:47
> To: Verwimp Gery
> Cc: sigtran
> Subject: Re: SUAv8: ASP Identifier
> 
> 
> Gery,
> 
> Your on the money here.  However, it is only necessary that the ASP Id
> be made unique in (2) (over the AS) because in (1) the SGP has the right
> of refusing the ASP UP due to a non-unique ASP Id.  The only way to
> ensure uniqueness in (2) over dynamic reconfigurations of ASPs over AS
> is to provide the uniqueness of (1).
> 
> The text still doesn't need to be changed from a requirements view.
> Perhaps Klaus can propose some explanatory text.
> 
> --brian
> 
> Verwimp Gery wrote:                                       (Fri, 19 Oct 2001
> 17:14:40)
> > Hi Klaus (and others),
> > 
> > I'm not entirely sure of what the purpose(s) of the ASP Identifier might
> be,
> > so correct me if I'm wrong. As far as I can see, there's 2 different
> > situations:
> > 
> > 1. The ASP might want to use different port numbers (for splitting traffic
> > that way, or whatever) and this is not possible within a single SCTP
> > association. So it may have to setup several ones to the same SG. And to
> > enable the SG to accept/refuse such an approach, the ASP includes an
> > Identifier for the SG to know it's actually the same physical ASP
> (otherwise
> > the SG simply "sees" two ASPs).
> > 
> > Anyway, in this respect I think the ASP Identifier should be unique across
> > the family of ASPs connecting to this SG in this fashion, regardless of
> what
> > AS they will register for. The SG could also cross-check on the IP
> addresses
> > used (even in a dynamic IP addressing environment) when the ASP is good
> > enough to use the same set of IP addresses for each association. It has to
> > be courteous anyway to provide the same ASP Identifier ;)
> > 
> > 2. To be used in Notify messages so that the alternative ASPs (of a
> specific
> > AS) immediately know which one of them has "left the building". In this
> > context, it is sufficient for the ASP Identifier to be unique across the
> AS,
> > but then it rather applies to the ASPTM messages ...
> > 
> > 3. Other uses or am I totally missing the point ???
> > 
> > ____________________________
> > 
> > Gery Verwimp
> > > SIEMENS ATEA
> > > ICN D CS D5
> > > 
> > > Tel. : +32 14 25 3424
> > Fax: +32 14 25 3212
> > mailto:[email-masked]
> > ____________________________________
> > 
> > 
> > -----Original Message-----
> > From: Gradischnig, Klaus [mailto:[email-masked]]
> > Sent: vrijdag 19 oktober 2001 16:23
> > To: sigtran
> > Subject: RE: SUAv8: ASP Identifier
> > 
> > 
> > John, Brian,
> > 
> > pls see below...
> > 
> > Klaus
> > 
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]]
> > > Sent: October 17, 2001 5:09 PM
> > > To: sigtran
> > > Subject: RE: SUAv8: ASP Identifier
> > > 
> > > 
> > > Klaus and Brian,
> > > 
> > > > Perhaps the ASP does not know it's identity... If the ASP 
> > > UP does not
> > > > contain an ASP Id why can not the ASP UP Ack. :)  Section 
> > > > 3.5.2 of M3UA does not, however, show ASP Id as part of the 
> > > ASP UP where 
> > > > section 3.5.2 of SUA does.  I don't really have a problem 
> > > with ASP Id
> > > being 
> > > > removed from SUA ASP UP Ack.  At least SUA and M3UA should 
> > > be consistent
> > > here.
> > > 
> > > I shall remove ASP ID from the ASP UP ACK.
> > > 
> > > > > 2. If the SG knows the identity of the ASP, this identity 
> > > > > is possibly not included in the NOTIFY -- how do the other 
> > > > > ASPs then know who died?
> > > > 
> > > > Common M3UA and SUA sections 4.3.4.6 (Notify Procedures) 
> > > > indicate that the ASP Id must be provided in the notify when 
> > > > known.  If it is not provided by the SG when known in the notify, 
> > > > then the SG is broken.
> > > 
> > > I think the text is sufficient, no changes needed.
> > 
> > Sorry, I did and do not see it like this though I can see now how one
> could.
> > SUA explicitly states
> > 
> > 		ASP Identifier MUST be used where the IPSP/SGP cannot 
> >             identify the ASP by pre-configured address/port number 
> >             information (e.g., where an ASP is resident on a Host using 
> >             dynamic address/port number assignment).
> > 
> > Being able to "identify" does not imply to me that the SG has any
> knowledge
> > about any ASP Identifier the ASPs belonging to an AS use (there a many
> > people I can identify but can't remember their names ;-) So, in order to
> > clarify could we change the notes to
> > 
> > 		ASP Identifier MUST be used where the IPSP/SGP does not
> >             have the ASP Identifier pre-configured in address/port number 
> >             information (e.g., where an ASP is resident on a Host using 
> >             dynamic address/port number assignment).
> > 
> > This, however, introduces for all practical purposes a new name space (ASP
> > identifiers) which, unless its scope is limited to a single AS, may have
> be
> > coordianted accross many/all ASs -- see next comment.
> > 
> > >  
> > > > > 3. The above error cause may also have to be sent in 
> > > > > response to a REG REQUEST or ASP ACTIVE as the membership of an 
> > > > > ASP in an AS might only be determined by these messages?
> > > > 
> > > > Don't follow you.  There is only cause to send "Invalid ASP 
> > > > Identifier" as an error response to received messages that contain 
> > > > an invalid ASP Identifier.  REG REQ does not contain ASP Id.
> > > 
> > > I think the text is sufficient, no changes needed.
> > 
> > Again, I do not see it this way.
> > SUA states
> > 
> > 	The ASP Identifier field contains a unique value that is locally 
> >       significant among the ASPs that support an AS.
> > 
> > So, any two ASPs supporting at least one common AS must have different ASP
> > Identifiers, any two ASPs not supporting any common AS could use an
> > identical ASP Identifier. Due to the registration procedures the SG may
> not
> > know if two ASPs will support a common AS sometime in the future. Thus,
> when
> > receiving two ASP-UPs from different ASPs having identical ASP Identifiers
> > everything can look fine, but later a registration of one ASP for the AS
> > currently supported only by the other ASP suddenly results in an ASP
> > Identifier conflict without any ASP UPs or ASP Identifiers being
> exchanged.
> > Or, what am I missing here, John?
> > 
> > > 
> > > > > 4. Two ASPs are happily serving two different ASes but use 
> > > > > the same ASP id. Suddenly, one of them wants to go 
> > > active/register 
> > > > > for the other AS. What happens? Does it depend on the 
> > > traffic mode?
> > > > 
> > > > When the second ASP with the same ASP Id attempted to go ASP 
> > > > UP it should have recevied ERR("Invalid ASP Identifier") because 
> > > > the ASP Id is non-unique as in the quoted section 3.9.12 above.  
> > > > This ASP stays in the DOWN state and cannot go active or register.
> > > 
> > > I think this is clear.
> > > 
> > > > > Proposal:
> > > > > 
> > > > > - No ASP id in UP/UP ACK msgs. 
> > > > 
> > > > It can be removed from ASP UP Ack for SUA (to match M3UA) but 
> > > > needs to be in ASP UP.  ASP Id supports dynamic port assignments 
> > > > and permits the SG to identify which ASP is connecting.  It must 
> > > > remain in ASP UP.
> > > > 
> > > > > - ASP IDs -- separately per AS -- defined (if necessary) in 
> > > > > ASP ACTIVE or REG Request. 
> > > > 
> > > > No need, the ASP is defined by an SCTP endpoint.  The ASP Id 
> > > > in the ASP UP identifies which ASP a particular SCTP endpoint 
> > > > corresponds to if the SG cannot determine this (i.e. dynamic 
> > > > port assignment at the ASP).
> > > > 
> > > > > - ASP ID mandatory in the appropriate NOTIFY messages. 
> > > > 
> > > > It is when available: see section 4.3.4.6 of either M3UA and SUA.
> > > > 
> > > > > - Modify the text in 3.9.12.
> > > > 
> > > > 3.9.12 works fine as it is.
> > > 
> > > It seems to me that the text is OK as is. Klaus, do you feel that
> > > any changes are needed?
> > 
> > I guess I do see a need for changes. I am of course open to other
> proposals,
> > like globally valid ASP Identifiers ;-)
> > 
> > > 
> > > John
> > > 
> > > 
> > > ---
> > > You are currently subscribed to sigtran as: 
> > > [email-masked]
> > > To unsubscribe send a blank email to 
> > > [email-masked]
> > > 
> > 
> > 
> > ---
> > You are currently subscribed to sigtran as: [email-masked]
> > To unsubscribe send a blank email to
> > [email-masked]
> > 
> > 
> > ---
> > You are currently subscribed to sigtran as: [email-masked]
> > To unsubscribe send a blank email to
> [email-masked]
> 
> -- 
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
> 
> 
> ---
> You are currently subscribed to sigtran as: [email-masked]
> To unsubscribe send a blank email to [email-masked]

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 22 Oct 2001 14:21:09 -0500

John, Greg, Javier,

Please use the text from M2UA-10 with regard to ASP Identifier.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---